* {
  box-sizing: border-box !important;
}

*::-webkit-scrollbar {
  width: 10px !important;
  height: 10px !important; /* width of the entire scrollbar */
}

*::-webkit-scrollbar-track {
  background: #fff !important;
}

*::-webkit-scrollbar-thumb {
  background-color: #a5c8cf; /* color of the scroll thumb */
  border-radius: 1px !important; /* roundness of the scroll thumb */
  border: solid 1px #fff !important; /* creates padding around scroll thumb */
}

.claro {
  font-size: 90% !important;
  color: #444444 !important;
}

input {
  color: #444444 !important;
}
.dijitTitlePaneTitle {
  background: #fff !important ;
  border: none !important;
  padding: 10px 0 !important;
  font-weight: 600;
}

.dijitTitlePaneTitleFocus {
  color: #015a66 !important;
  font-size: 20px !important;
}

.dijitToolbar {
  border: none !important;
}

.dijitToolbar > span,
.dijitToolbar > div {
  margin-bottom: 3px !important;
}

/* Dialog */
.dijitDialog {
  background: #fff;
}
.dijitDialogTitleBar {
  background: #fff !important ;
  border: none !important;
  font-weight: bold;
  padding: 10px !important;
}

.dijitDialogTitle {
  color: #015a66 !important;
  font-weight: 600;
  font-size: 125% !important;
}

.dijitDialogPaneContent {
  padding: 0 10px 10px 10px !important;
  border: none !important;
  color: #444444 !important;
}

.dijitDialogPaneActionBar {
  background: #fff !important;
}

.dgrid {
  background: #fff;
  color: #444444 !important;
  height: 80vh;
  min-width: 100%;
  border: solid 1px rgb(210, 210, 210) !important;
}

.dgrid tr td {
  padding: 5px 5px !important;
  border: solid 0.5px rgb(210, 210, 210) !important;
  border-top: none !important ;
}

.dgrid th {
  background: rgba(4, 146, 165, 0.1);
  padding: 8px 5px !important;
  color: #444444 !important;
}

.dgrid-header,
.dgrid-footer {
  background: #fff !important;
}

.dgrid-header th:hover {
  background: rgba(4, 146, 165, 0.2) !important;
}

.dgrid-header-scroll {
  border: none !important;
}

.dgrid-footer tr {
  border: none !important;
  border-top: solid 1px rgb(210, 210, 210) !important;
  font-weight: 600;
}

.dijitToolbar,
.dijitTabInner,
.dijitTab,
.dgrid-scroller {
  background: #fff !important;
}

.dijitContentPane {
  transition: width ease-in-out 0.2s;
}

label,
.dijitButtonText,
.tabLabel {
  font-weight: 600 !important;
}
.forms > div {
  margin-bottom: 5px;
  color: #444444 !important;
}

#cp > * {
  width: 100%;
  min-width: 100%;
  max-width: 100%;
  border: none !important;
}

nav {
  z-index: 1 !important;
}

.main {
  padding: 20px !important;
  z-index: 99 !important;
}

.dijitDialogTitleBar,
.dijitDialogPaneContent {
  min-width: 100%;
  max-width: 99% !important;
  margin: 0 !important;
  box-sizing: border-box !important;
}

.dijitDialogPaneContent {
  min-height: 100%;
}

table.tableContainer-table tr td {
  padding-bottom: 5px !important;
}

input[type="hidden"] {
  margin: 0;
  padding: 0;
}

tr:has(td > input.dijitTextBox[type="hidden"]):not(:has(table)) {
  display: none;
  /* background: red; */
}

.dijitTabContainer .dgrid {
  border-left: none !important;
  border-right: none !important;
  border-bottom: none !important;
}

.dijitButtonNode {
  background: #f6f9ff !important;
  border-radius: 3px !important;
  color: #015a66 !important;
}

.dijitButtonNode:hover {
  background: #f6f9ff !important;
}

.dijitToolbar .dijitButtonNode {
  background: none !important;
}

.dijitComboBox .dijitButtonNode {
  padding: 0px 3px !important;
}

.dijitTextBox {
  padding-left: 3px !important;
}

.dijitMenuItem {
  padding-left: 3px !important;
}

.dijitTabContainer,
.dijitTabContainerTopChildWrapper,
.dijitTabPaneWrapper,
.dijitTabPaneWrapper,
.dijitTabListContainer-top,
.dijitTabContainerTopNone,
.nowrapTabStrip,
.dijitTabListWrapper,
.dijitTabInnerDiv,
.dijitContainer,
.dijitTabContainerTopChildWrapper,
.dijitTabPane,
.dijitTabSpacer,
.nowrapTabStrip,
.dgrid-content,
.dgrid-scroller,
.d-grid {
  width: 100%;
  min-width: 100% !important;
  max-width: 100% !important;
}
